package com.fs.qw.mapper;

import com.fs.qw.domain.QwDept;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 企业微信部门Mapper接口
 * 
 * @author fs
 * @date 2024-08-27
 */
public interface QwDeptMapper 
{
    /**
     * 查询企业微信部门
     * 
     * @param id 企业微信部门主键
     * @return 企业微信部门
     */
    public QwDept selectQwDeptById(Long id);

    /**
     * 查询企业微信部门列表
     * 
     * @param qwDept 企业微信部门
     * @return 企业微信部门集合
     */
    public List<QwDept> selectQwDeptList(QwDept qwDept);

    /**
     * 新增企业微信部门
     * 
     * @param qwDept 企业微信部门
     * @return 结果
     */
    public int insertQwDept(QwDept qwDept);
    /**
    * 新增或插入 企业微信部门
    */
    public int insertOrUpdateQwDept(QwDept qwDept);

    /**
     * 修改企业微信部门
     * 
     * @param qwDept 企业微信部门
     * @return 结果
     */
    public int updateQwDept(QwDept qwDept);

    /**
     * 删除企业微信部门
     * 
     * @param id 企业微信部门主键
     * @return 结果
     */
    public int deleteQwDeptById(Long id);

    /**
     * 批量删除企业微信部门
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQwDeptByIds(Long[] ids);

    @Delete("delete from qw_dept where dept_id = #{map.deptId} and company_id = #{map.companyId}")
    public int deleteQwDeptByDeptId(@Param("map") QwDept qwDept);
}
